				    k=0;
				    for(i=0; i<bitloc; i++) {
				      j=7;
				      while( j > 0) {
					if (bitbuffer[i] & (1<<j) ) 
					  fprintf(of,"*");
					else
					  fprintf(of,"-");
					j--;
				      }
				      k++;
				      if (k*8 >= BBw) {  
				        fprintf(of, "\n");
					k = 0;
				      }
			            }	
